<?php
//require __DIR__."./../phpJasperXML_2.0.1/autoload.php";
require_once("./../phpJasperXML_2.0.1/autoload.php");

use simitsdk\phpjasperxml\PHPJasperXML;

$filename = __DIR__."/NotaPago.jrxml";

// read parameters
$id_pago = $_SESSION['id_Pago'] ; 	// invoice identification to obtain

// Read record
$data = array();
$rs = DB::Query("
 SELECT
	p_dp.fecha_pago,
	p_dp.derecho_Propietario,
	CONCAT( s.apellido_Paterno, ' ', s.apellido_Materno, ' ', s.nombres, ' con C.I. :', s.ci ) AS Pagado,
	p_dp.id_Pago,
	es.nombre AS estado_Pago,
	
	
	dp.total_bs,
	
	
	
	CONCAT(
		UCASE(
		LEFT ( lower ( dp.total_bs_literal ), 1 )),
	SUBSTRING( lower ( dp.total_bs_literal), 2 )) AS total_bs_literal,
	
	

	dp.nro_Acciones,
	a.alias,
	ta.nombre AS tipo_socio,
	
	
	
	
	
	
	
	CONCAT(
		UCASE(
		LEFT ( lower ( aux.nombre), 1 )),
	SUBSTRING( lower ( aux.nombre), 2 )) AS tipo_pago,
	
	
	
	
	CONCAT(
		'Sacaba ',
		DAY ( p_dp.fecha_pago ),
		' de ',
	CASE
			MONTH ( p_dp.fecha_pago ) 
			WHEN 1 THEN
			'Enero' 
			WHEN 2 THEN
			'Febrero' 
			WHEN 3 THEN
			'Marzo' 
			WHEN 4 THEN
			'Abril' 
			WHEN 5 THEN
			'Mayo' 
			WHEN 6 THEN
			'Junio' 
			WHEN 7 THEN
			'Julio' 
			WHEN 8 THEN
			'Agosto' 
			WHEN 9 THEN
			'Septiembre' 
			WHEN 10 THEN
			'Octubre' 
			WHEN 11 THEN
			'Noviembre' 
			WHEN 12 THEN
			'Diciembre' 
		END,
		' del ',
		YEAR ( p_dp.fecha_pago ) 
	) AS fecha_pago_literal 
FROM
	pago_dp AS p_dp
	INNER JOIN socio AS s ON p_dp.accionista = s.id_Socio
	INNER JOIN aux AS es ON p_dp.estado = es.id_aux
	INNER JOIN derecho_propietario AS dp ON p_dp.derecho_Propietario = dp.id_derecho_Propietario
	INNER JOIN aux AS a ON s.ci_procedencia = a.id_aux
	INNER JOIN aux AS ta ON s.tipo_accionista = ta.id_aux
	INNER JOIN aux ON p_dp.tipo_pago = aux.id_aux

		
	where p_dp.id_Pago   = $id_pago
	

");
while( $row= $rs->fetchAssoc() )
{
$data[] = $row;
}
$config = [
    'driver'=>'array',
    'data'=> $data
];
$parameters = [];


$type = 'Pdf';
$fileOutput= '';
$creator = 'bi-softnet';
$author = 'xbi-softnet@gmail.com';
$title = 'Recibo pago dividendo';
$keywords = 'PHP';
$format_intl = 'es_ES';

// $temp_file = tempnam(sys_get_temp_dir(), 'pdf');  // Create file temporal
// $fileOutput = $temp_file;

$report = new PHPJasperXML();
$report->load_xml_file($filename)    
    ->setParameter($parameters)
    ->setDataSource($config)
    ->export($type,$fileOutput,$title,$creator,$author,$keywords,$format_intl);

?>
